org.apache.xalan.xsltc.trax

## Class TrAXFilter

- java.lang.Object
- - org.xml.sax.helpers.XMLFilterImpl
  - - org.apache.xalan.xsltc.trax.TrAXFilter

All Implemented Interfaces:
  ContentHandler, DTDHandler, EntityResolver, ErrorHandler, XMLFilter, XMLReader

    public class TrAXFilter
    extends XMLFilterImpl

skeleton extension of XMLFilterImpl for now.

Author:
  Santiago Pericas-Geertsen, G. Todd Miller

### Constructor Summary

Constructors
Constructor and Description
`TrAXFilter(Templates templates)`

### Method Summary

Methods
`Transformer` `getTransformer()`
`void` `parse(InputSource input)` Parse a document.
`void` `parse(java.lang.String systemId)` Parse a document.
`void` `setContentHandler(ContentHandler handler)` Set the content event handler.
`void` `setErrorListener(ErrorListener handler)`

### Methods inherited from class org.xml.sax.helpers.XMLFilterImpl

`characters, endDocument, endElement, endPrefixMapping, error, fatalError, getContentHandler, getDTDHandler, getEntityResolver, getErrorHandler, getFeature, getParent, getProperty, ignorableWhitespace, notationDecl, processingInstruction, resolveEntity, setDocumentLocator, setDTDHandler, setEntityResolver, setErrorHandler, setFeature, setParent, setProperty, skippedEntity, startDocument, startElement, startPrefixMapping, unparsedEntityDecl, warning`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TrAXFilter

    public TrAXFilter(Templates templates)
               throws TransformerConfigurationException

Throws:
  `TransformerConfigurationException`

### Method Detail

#### getTransformer

    public Transformer getTransformer()

#### parse

    public void parse(InputSource input)
               throws SAXException,
                      java.io.IOException

Description copied from class: `XMLFilterImpl`
Parse a document.

Specified by:
  `parse` in interface `XMLReader`
Overrides:
  `parse` in class `XMLFilterImpl`
Parameters:
  `input` - The input source for the document entity.
Throws:
  `SAXException` - Any SAX exception, possibly wrapping another exception.
  `java.io.IOException` - An IO exception from the parser, possibly from a byte stream or character stream supplied by the application.
See Also:
  `InputSource`, `XMLReader.parse(java.lang.String)`, `XMLReader.setEntityResolver(org.xml.sax.EntityResolver)`, `XMLReader.setDTDHandler(org.xml.sax.DTDHandler)`, `XMLReader.setContentHandler(org.xml.sax.ContentHandler)`, `XMLReader.setErrorHandler(org.xml.sax.ErrorHandler)`

#### parse

    public void parse(java.lang.String systemId)
               throws SAXException,
                      java.io.IOException

Description copied from class: `XMLFilterImpl`
Parse a document.

Specified by:
  `parse` in interface `XMLReader`
Overrides:
  `parse` in class `XMLFilterImpl`
Parameters:
  `systemId` - The system identifier as a fully-qualified URI.
Throws:
  `SAXException` - Any SAX exception, possibly wrapping another exception.
  `java.io.IOException` - An IO exception from the parser, possibly from a byte stream or character stream supplied by the application.
See Also:
  `XMLReader.parse(org.xml.sax.InputSource)`

#### setContentHandler

    public void setContentHandler(ContentHandler handler)

Description copied from class: `XMLFilterImpl`
Set the content event handler.

Specified by:
  `setContentHandler` in interface `XMLReader`
Overrides:
  `setContentHandler` in class `XMLFilterImpl`
Parameters:
  `handler` - the new content handler
See Also:
  `XMLReader.getContentHandler()`

#### setErrorListener

    public void setErrorListener(ErrorListener handler)